### File

`packages/components/directives/eui-resizable/eui-resizable.component.ts`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-resizable`
styleUrls | `./styles/index.scss`
templateUrl | `./eui-resizable.component.html`

### Index

###### Properties
e2e position
###### HostBindings
attr.data-e2e class
###### Accessors
cssClasses

### HostBindings

attr.data-e2e
Type : `string`
Default value : `'eui-resizable'`

class
Type : `string`

### Properties

e2e
Type : `string`
Default value : `'eui-resizable'`
Decorators : `@HostBinding('attr.data-e2e')`

position
Default value : `input<EuiResizablePosition>('right')`
This is used to determine the placement of the resizable handle and the resizing behavior. Possible values are 'left' or 'right'. Default is 'right'.

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""